// Copyright (C) 2025 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only

#ifndef QOHOSOPERATIONSTATUS_H
#define QOHOSOPERATIONSTATUS_H

#include <QtCore/qglobal.h>

QT_BEGIN_NAMESPACE

namespace QtOhosExtras {

class QOhosOperationStatus
{
public:
    virtual ~QOhosOperationStatus();

    virtual bool success() const = 0;

protected:
    QOhosOperationStatus();

private:
    Q_DISABLE_COPY(QOhosOperationStatus)
};

}

QT_END_NAMESPACE

#endif // QOHOSOPERATIONSTATUS_H
